### Method

# Gtk HeaderBarset_title_widget

#### Declaration [src]

    void
    gtk_header_bar_set_title_widget (
      GtkHeaderBar* bar,
      GtkWidget* title_widget
    )

#### Description [src]

Sets the title for the `GtkHeaderBar`.

When set to `NULL`, the headerbar will display the title of the window it is contained in.

The title should help a user identify the current view. To achieve the same style as the builtin title, use the “title” style class.

You should set the title widget to `NULL`, for the window title label to be visible again.

Sets property | `Gtk.HeaderBar:title-widget`

#### Parameters

`title_widget`

  Type: `GtkWidget`

  A widget to use for a title.

  The argument can be `NULL`.
  The data is owned by the caller of the method.